Skip to main content

Delete Shipping Rate

Snapshot Catalog Entry

This page is generated from broker tools/list snapshot data.

POSTghl.ghl_delete_shipping_rate

Delete a shipping rate

Request Body

{
"jsonrpc": "2.0",
"id": "ghl-ghl-delete-shipping-rate-example",
"method": "tools/call",
"params": {
"name": "ghl.ghl_delete_shipping_rate",
"arguments": {
"shippingZoneId": "shippingZoneId_123",
"shippingRateId": "shippingRateId_123",
"tenantId": "tenantId_123",
"strictTenant": false,
"locationId": "locationId_123"
}
}
}

Arguments Schema

{
"type": "object",
"properties": {
"tenantId": {
"type": "string"
},
"strictTenant": {
"type": "boolean"
},
"locationId": {
"type": "string"
},
"shippingZoneId": {
"type": "string"
},
"shippingRateId": {
"type": "string"
}
},
"required": [
"shippingZoneId",
"shippingRateId"
]
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "ghl-ghl-delete-shipping-rate-example",
"method": "tools/call",
"params": {
"name": "ghl.ghl_delete_shipping_rate",
"arguments": {
"shippingZoneId": "shippingZoneId_123",
"shippingRateId": "shippingRateId_123",
"tenantId": "tenantId_123",
"strictTenant": false,
"locationId": "locationId_123"
}
}
}'

Example Responses

{
"ok": true,
"message": "Tool ghl.ghl_delete_shipping_rate executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}